%define oname   hpricot

Name:       ruby-%{oname}
Version:    0.8.4
Release:    %mkrel 1
Summary:    A swift, liberal HTML parser with a fantastic library
Group:      Development/Ruby
License:    MIT
URL:        http://code.whytheluckystiff.net/hpricot/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(nokogiri)
Requires:   ruby(abi) = 1.8

%description
Hpricot is a very flexible HTML parser, based on Tanaka Akira's
HTree and John Resig's JQuery, but with the scanner recoded in C
(using Ragel for scanning.)

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/*.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.md
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/COPYING
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/%{oname}/*.rb

%check
ruby -I"lib:test" -I%{buildroot}%{ruby_sitearchdir} \
  -e "Dir.glob('test/test_*').each {|t| require t}"

%clean
rm -rf %{buildroot}



%changelog
* Thu Mar 03 2011 shikamaru <shikamaru> 0.8.4-1.mga1
+ Revision: 63436
- new version 0.8.4

* Mon Feb 07 2011 shikamaru <shikamaru> 0.8.3-2.mga1
+ Revision: 48571
- imported package ruby-hpricot


* Mon Feb 07 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.8.3-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 0.8.3-1mdv2011.0
+ Revision: 623046
- Bump release
- new version 0.8.3
- fix file list

* Thu Nov 04 2010 Rémy Clouard <shikamaru@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 593216
- use version in obsolete
- move spec file accordingly
- Move ruby-hpricot to rubygem-hpricot
- Update to new release 0.8.2
- package as a gem to satisfy rubygem-ronn dependencies
- obsoletes ruby-hpricot

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.6-2mdv2010.0
+ Revision: 433517
- rebuild

* Sat Aug 02 2008 Pascal Terjan <pterjan@mandriva.org> 0.6-1mdv2009.0
+ Revision: 261127
- Adapt for Mandriva

